


export interface State {
  orgCode: any
  pOrg: any
  OrgId: any
  orgType: any
  currentYear: string
  currentMonth:string
  currentTime:string,
  ysId:any
  allRoads:any,
  refresh:any
}
const initialState: State = {
  orgCode: null, // 所属组织 第三级组织
  pOrg: null, // 第一、二级组织
  OrgId: null, // 地图中心所属组织id
  orgType: 0, // 0是第三级 1是1或2级
  currentYear: '', // 当前年份
  currentMonth: '', // 当前月份
  currentTime: '',
  ysId: '',
  allRoads: '', // 写死的路段数据
  refresh:''
}
const state:State = JSON.parse(JSON.stringify(initialState))
const mutations = {

  SET_STATE: (state: any, payload: any) => {
    state[payload.key] = payload.value
  },
}

export default {
  namespaced: true,
  state,
  mutations,
}
